edu.northwestern.at.morphadorner.tools.annolex

## Class CorrectedWordsFileWriter

- java.lang.Object
- - edu.northwestern.at.morphadorner.tools.annolex.CorrectedWordsFileWriter

-     public class CorrectedWordsFileWriter
      extends java.lang.Object

  Write word correction information file.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CorrectedWordsFileWriter(java.util.List<CorrectedWord> correctedWords, java.lang.String outputFileName, boolean append)` Create corrected words file writer.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `writeCorrectedWords(java.util.List<CorrectedWord> correctedWords, java.lang.String outputFileName, boolean append)` Writes corrected words to file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CorrectedWordsFileWriter

          public CorrectedWordsFileWriter(java.util.List<CorrectedWord> correctedWords,
                                  java.lang.String outputFileName,
                                  boolean append)
                                   throws java.io.IOException

      Create corrected words file writer.
      Parameters:
        `correctedWords` - List of corrected words to output.
        `outputFileName` - Output file name.
        `append` - True to append to existing contents.
      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### writeCorrectedWords

          protected void writeCorrectedWords(java.util.List<CorrectedWord> correctedWords,
                                 java.lang.String outputFileName,
                                 boolean append)
                                      throws java.io.IOException

      Writes corrected words to file.
      Parameters:
        `correctedWords` - List of corrected words to output.
        `outputFileName` - The output file name.
        `append` - True to append to existing contents.
      Throws:
        `java.io.IOException`